.content-container {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #1f2528;
  position: relative;
}

.file-preview {
  width: 80%;
  padding: 10px;
  p {
    margin-bottom: 7px;
  }
}

.icon-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-position: center;
}

.slide-button {
  color: whitesmoke;
  font-size: 30px;
  padding: 15px;
  cursor: pointer;
  position: absolute;
  border-radius: 50px;
  &:hover {
    background-color: rgba(161, 189, 217, 0.08);
  }
}

.disabled {
  display: none;
}

.image-container {
  display: flex;
  justify-content: center;

  img {
    max-width: 100%;
    max-height: 100%;
  }
}

.icon-preview {
  cursor: pointer;
  color: white;
  font-size: 18px;
  padding: 10px;
  margin: 3px;
  &:hover {
    background-color: rgba(161, 189, 217, 0.08);
  }
}

.header-container {
  display: flex;
  justify-content: space-between;
}

.layout-header {
  background-color: #1f2528;
  height: 50px;
  padding: 0 25px;
}

.invalid-file {
  display: flex;
  justify-content: center;
  color: #a2a6ab;
  align-items: center;
  span {
    font-size: 100px;
    color: #a2a6ab;
  }
}

.error-message {
  font-size: 15px;
  text-align: center;
  margin-bottom: 7px;
}

.file-icon {
  font-size: 35px;
  color: #f2f4f7;
}

pre {
  white-space: pre-wrap;
  font-size: 14px;
  line-height: 1.5;
  background-color: #19191c;
  padding: 15px;
  border: 1px solid #19191c;
  border-radius: 5px;
  color: #f5f5f5;
}

pre code {
  overflow-wrap: anywhere;
  display: block;
  padding: 10px;
  border-radius: 5px;
}

.directory-tree {
  background-color: #1f2528;
  margin-top: 20px;
  overflow: hidden;
  width: 25%;
}

.parent-container {
  background-color: #1f2528;
  height: 100%;
  display: flex;
  overflow: hidden;
  flex-wrap: nowrap;
  width: 100%;
}

.hidden {
  display: none;
}

::ng-deep a {
  color: #ececec;
}
